### Function

# RB RefString equal

#### Declaration [src]

    gboolean
    rb_refstring_equal (
      gconstpointer ap,
      gconstpointer bp
    )

#### Description [src]

Key equality function suitable for use with `GHashTable`. Equality checks for `RBRefString` are just pointer comparisons, since there can only be one refstring for a given string.

#### Parameters

`ap`

  Type: `gconstpointer`

  An `RBRefString`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`bp`

  Type: `gconstpointer`

  Another `RBRefstring`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the strings are the same.